<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!--  param : selectedOrder -->
    <s:decorate template="/common/abstractOrderDetails.xhtml">
        <ui:param name="enableStatusEdit" value="false"/>
        <ui:define name="displayUniversalServiceId">
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.UniversalServiceID_2']}</ui:define>
                <h:outputText
                        value="#{valueSet.getDisplayNameForCode('troUniversalServiceId', selectedOrder.universalServiceId)}"/>
            </s:decorate>
        </ui:define>
    </s:decorate>
    <dl class="dl-horizontal">
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.ordermanager.ProcedureCode']}</ui:define>
            <h:outputText
                    value="#{valueSet.getDisplayNameForCode('troProcedure', selectedOrder.procedureCode)}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.ordermanager.ProcedureDescription']}</ui:define>
            <h:outputText value="#{selectedOrder.procedureDescription}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.ordermanager.Views']}</ui:define>
            <h:outputText value="#{selectedOrder.views}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.ordermanager.RelevantClinicalInfo']}</ui:define>
            <h:outputText value="#{selectedOrder.relevantClinicalInfo}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.ordermanager.ReasonForStudy']}</ui:define>
            <h:outputText value="#{selectedOrder.reasonForStudy}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.ordermanager.SourceOfImagingStudy']}</ui:define>
            <h:outputText value="#{selectedOrder.imagingStudySource}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.ordermanager.Comments']}</ui:define>
            <h:outputText value="#{selectedOrder.comment}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not empty selectedOrder.relatedStudies}">
            <ui:define name="label">#{messages['gazelle.ordermanager.RelatedStudies']}</ui:define>
            <rich:list value="#{selectedOrder.relatedStudies}" var="study" type="unordered">
                <h:outputText value="#{study}"/>
            </rich:list>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not empty selectedOrder.abortReason}">
            <ui:define name="label">#{messages['gazelle.ordermanager.AbortReason']}</ui:define>
            <h:outputText
                    value="#{valueSet.getDisplayNameForCode('troAbortReason', selectedOrder.abortReason)}"/>
        </s:decorate>
    </dl>
</ui:composition>
